package com.goldenwater.slgc.service.impl;

import java.util.List;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slgc.domain.AttResBase;
import com.goldenwater.slgc.mapper.AttResBaseMapper;
import com.goldenwater.slgc.service.ReservoirService;

/** 水库信息 业务实现 */
@Service
public class ReservoirServiceImpl implements ReservoirService {
    @Autowired
    private AttResBaseMapper attResBaseMapper;

    @Override
    public List<AttResBase> selectAttResBaseList(AttResBase attResBase) {
        return attResBaseMapper.selectAttResBaseList(attResBase);
    }

    @Override
    public AttResBase selectAttResBaseById(String resCode) {
        return attResBaseMapper.selectAttResBaseById(resCode);
    }

    @Override
    public int deleteAttResBaseByIds(String[] resCodes) {
        return attResBaseMapper.deleteAttResBaseByIds(resCodes);
    }

    @Override
    public int insertAttResBase(AttResBase attResBase) {
        return attResBaseMapper.insertAttResBase(attResBase);
    }

    @Override
    public int updateAttResBase(AttResBase attResBase) {
        return attResBaseMapper.updateAttResBase(attResBase);
    }

    @Override
    public List<Map<String, Object>> countType() {
        return attResBaseMapper.countType();
    }
}
